cURL
curl --request GET \
--url https://api.z.ai/api/paas/v4/async-result/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.z.ai/api/paas/v4/async-result/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.z.ai/api/paas/v4/async-result/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.z.ai/api/paas/v4/async-result/{id}")
.header("Authorization", "Bearer <token>")
.asString();{
"model": "<string>",
"task_status": "<string>",
"video_result": [
{
"url": "<string>",
"cover_image_url": "<string>"
}
],
"request_id": "<string>"
}{
"code": 123,
"message": "<string>"
}Video API
Retrieve Result
This endpoint is used to query the result of an asynchronous request.
GET
/
paas
/
v4
/
async-result
/
{id}
cURL
curl --request GET \
--url https://api.z.ai/api/paas/v4/async-result/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.z.ai/api/paas/v4/async-result/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.z.ai/api/paas/v4/async-result/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.z.ai/api/paas/v4/async-result/{id}")
.header("Authorization", "Bearer <token>")
.asString();{
"model": "<string>",
"task_status": "<string>",
"video_result": [
{
"url": "<string>",
"cover_image_url": "<string>"
}
],
"request_id": "<string>"
}{
"code": 123,
"message": "<string>"
}Authorizations
Headers
Config desired response language for HTTP requests.
Available options:
en-US,en Example:
"en-US,en"
Path Parameters
Task id.
Response
Processing successful
- Video Generation
- Image Generation
Model name.
Processing status, PROCESSING (processing), SUCCESS (success), FAIL (failure). Note: Processing status needs to be obtained via query.
Task number submitted by the user during the client request or generated by the platform.
Was this page helpful?